Synthetic
<init>
Code
LineNumberTable
LocalVariableTable
WirelessListener
InnerClasses
Connection
Z
I
Ljava/util/HashMap;

Lcom/amazon/ebook/framework/impl/device/WirelessImpl$1;
SourceFile
Connection is WAN
Connection is WIFI
java/lang/StringBuffer
Connection Available:
wifi
Notifying, satisfied? 
yes
no
hardware.wifi
NetworkStartup
Connection Unavailable:
Notifying
java/util/HashMap
currentTransportMethod
WIFI
WAN
java/lang/Object
com/amazon/ebook/framework/impl/device/WirelessImpl$1
()V
ConnInterfaceType
()Z
(ILjava/lang/String;)V
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
()Ljava/lang/String;
toString
java/lang/String
equals
(Ljava/lang/Object;)Z
()I
startsWith
(Ljava/lang/String;)Z
indexOf
(I)I
substring
(I)Ljava/lang/String;
equalsIgnoreCase
(Ljava/lang/String;)V
notifyAll
(Ljava/lang/String;Z)V
put
(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
(Ljava/util/Map;)V
a
Lcom/amazon/ebook/framework/impl/device/h;
(Lcom/amazon/ebook/framework/impl/device/h;Lcom/amazon/ebook/framework/impl/device/WirelessImpl$1;)V
Lcom/amazon/ebook/framework/impl/device/d;
(Lcom/amazon/ebook/pl/service/event/eb;)V
Lcom/amazon/ebook/pl/service/event/eb;
Lcom/amazon/ebook/framework/service/comm/c;
A
b
B
(Lcom/amazon/ebook/pl/service/event/eb;)Lcom/amazon/ebook/framework/service/comm/c;
(Lcom/amazon/ebook/framework/impl/device/h;)V
com/amazon/ebook/framework/impl/device/d
sbc
com/amazon/ebook/pl/service/event/l
(Lcom/amazon/ebook/framework/impl/device/h;Lcom/amazon/ebook/framework/service/comm/c;)V
(Lcom/amazon/ebook/framework/impl/device/h;Lcom/amazon/ebook/framework/service/comm/c;Ljava/lang/String;)V
()Lcom/amazon/ebook/pl/service/s;
(Lcom/amazon/ebook/framework/impl/device/h;)Lcom/amazon/ebook/pl/a;
(Lcom/amazon/ebook/framework/impl/device/h;Z)Z
(Lcom/amazon/ebook/framework/impl/device/h;)Z
c
C
(Lcom/amazon/ebook/framework/impl/device/h;)Lcom/amazon/ebook/framework/impl/booklet/a;
d
(Lcom/amazon/ebook/framework/impl/device/h;)I
(Lcom/amazon/ebook/framework/impl/device/h;I)I
D
(Lcom/amazon/ebook/framework/impl/device/h;)Ljava/lang/String;
e
(Lcom/amazon/ebook/framework/impl/device/h;)Ljava/lang/Object;
()Lcom/amazon/ebook/util/b/e;
Lcom/amazon/ebook/pl/service/gb;
()Lcom/amazon/ebook/pl/service/gb;
com/amazon/ebook/pl/service/t
com/amazon/ebook/framework/service/comm/a
com/amazon/ebook/util/f/b
com/amazon/ebook/util/f/d
com/amazon/ebook/pl/service/s
com/amazon/ebook/pl/a
com/amazon/ebook/framework/impl/booklet/a
com/amazon/ebook/framework/impl/device/h
com/amazon/ebook/util/b/e
com/amazon/ebook/pl/service/gb
com/amazon/ebook/pl/service/event/eb
com/amazon/ebook/framework/service/comm/c
